## org.apache.mahout.fpm.pfpgrowth.convertors.string
Class StringTupleIterator

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.string.StringTupleIterator

All Implemented Interfaces:
  java.util.Iterator<java.util.List<java.lang.String>>

    public final class StringTupleIterator

extends java.lang.Object
implements java.util.Iterator<java.util.List<java.lang.String>>

Iterate over the StringTuple as an iterator of `List<String>`

Constructor Summary
`StringTupleIterator(java.util.Iterator<StringTuple> iterator)`

Method Summary
`boolean` `hasNext()`
`java.util.List<java.lang.String>` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringTupleIterator

    public StringTupleIterator(java.util.Iterator<StringTuple> iterator)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.util.List<java.lang.String>>`

### next

    public java.util.List<java.lang.String> next()

  Specified by:
    `next` in interface `java.util.Iterator<java.util.List<java.lang.String>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.util.List<java.lang.String>>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.